package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @author NianChang
 * @ClassName OrderItemBatchingRequest
 * @date 2021/03/22 4:00 下午
 */
public class OrderItemBatchingRequest implements Serializable {

    private static final long serialVersionUID = 8724088986828602533L;

    @ApiModelProperty(value = "加料ID", example = "10155", required = true)
    private String batchingId;

    @ApiModelProperty(value = "加料名称", example = "果冻", required = true)
    private String batchingName;

    @ApiModelProperty(value = "加料编码", example = "D10155", required = true)
    private String code;

    @ApiModelProperty(value = "购买数量", example = "1", required = true)
    private Integer num;

    @ApiModelProperty(value = "价格", example = "1", required = true)
    private BigDecimal price;

    @ApiModelProperty(value = "扩展", example = "[]")
    private Map<String, Object> extraMap;

    public String getBatchingId() {
        return batchingId;
    }

    public void setBatchingId(String batchingId) {
        this.batchingId = batchingId;
    }

    public String getBatchingName() {
        return batchingName;
    }

    public void setBatchingName(String batchingName) {
        this.batchingName = batchingName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
